{% extends 'proteins/base.html' %}

{% block content %}

<table class="table table-hover" id="tableproteinlist">
    <thead>
        <tr>
            <th>entry</th>
            <th>entry_name </th>
            <th>protein_names</th>
            <th>cross_reference_GeneID</th>
            <th>gene_names</th>
            <th>organism</th>
           
        </tr>
    </thead>

    {% for protein in proteins %}
    <tbody>
        <tr>
            <td scope="row"> <strong>{{ protein.entry }} </strong></td>
            <td>{{ protein.entry_name}}</td>
            <td>{{ protein.protein_names }}</td>
            <td>{{protein.cross_reference_GeneID }}</td>
            <td>{{protein.gene_names }}</td>
            <td>{{protein.organism }}</td>
            
        </tr>
    </tbody>

    {% endfor %}
</table>

{% if is_paginated %}
  <ul class="pagination">
    {% if page_obj.has_previous %}
      <li><a href="?page={{ page_obj.previous_page_number }}">&laquo;</a></li>
    {% else %}
      <li class="disabled"><span>&laquo;</span></li>
    {% endif %}
    {% for i in paginator.page_range %}
      {% if page_obj.number == i %}
        <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
      {% else %}
        <li><a href="?page={{ i }}">{{ i }}</a></li>
      {% endif %}
    {% endfor %}
    {% if page_obj.has_next %}
      <li><a href="?page={{ page_obj.next_page_number }}">&raquo;</a></li>
    {% else %}
      <li class="disabled"><span>&raquo;</span></li>
    {% endif %}
  </ul>
{% endif %}


{% endblock %}